## kaccounts-integration 19.04.3

=== debian/changelog ===
kaccounts-integration (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:11:06 +0100

kaccounts-integration (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:00:58 +0100

kaccounts-integration (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:55:08 +0100

kaccounts-integration (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:40:31 +0100

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5declarative-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5wallet-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libsignon-qt5-dev (>= 8.55~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               xauth,
               xvfb,
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: kaccounts-integration
Architecture: any
Depends: libkaccounts1 (= ${binary:Version}),
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers
Breaks: kde-config-telepathy-accounts (<< 17.08),
        libktpcommoninternals9 (<< 17.08),
        ${kde-l10n:all},
Replaces: ${kde-l10n:all}
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: libaccounts-qt5-dev (>= 1.13~),
         libkaccounts1 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.31.0~),
         libsignon-qt5-dev (>= 8.55~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains development files.

Package: libkaccounts1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-integration (<= 0.0+git20141209.1543+15.04),
        kaccounts-providers (<< 4:17.08),
        kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-kaccounts (<< 17.08),
Replaces: kaccounts-integration (<= 0.0+git20141209.1543+15.04)
Description: System to administer web accounts - shared library
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the shared library.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAccounts QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KAccounts components written
 in QML.

## kaccounts-integration 19.12.3

=== CMakeLists.txt ===
project(KAccounts)

cmake_minimum_required(VERSION 2.8.12)

set(QT_REQUIRED_VERSION "5.7.0")
set(KF5_MIN_VERSION "5.4.0")


find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

enable_testing()

set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KACCOUNTS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
set(KACCOUNTS_SOVERSION "1")
set(ACCOUNTSQT_DEP_VERSION "1.13")
set(SIGNONQT_DEP_VERSION "8.55")
set(ACCOUNTSGLIB_DEP_VERSION "1.21")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative)

find_package(AccountsQt5 ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt5 PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
   URL "https://gitlab.com/accounts-sso/libaccounts-qt"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

find_package(SignOnQt5 ${SIGNONQT_DEP_VERSION} CONFIG)
set_package_properties(SignOnQt5 PROPERTIES DESCRIPTION "D-Bus service which performs user authentication on behalf of its clients"
   URL "https://gitlab.com/accounts-sso/signond"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

add_definitions (
                 -DQT_NO_KEYWORDS)

add_definitions(-DTRANSLATION_DOMAIN=\"kaccounts-integration\")
add_definitions(-DQT_NO_FOREACH)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git" AND AccountsQt5_VERSION VERSION_GREATER 1.15)
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)

kde_enable_exceptions()

include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/daemon/kio-webdav/CMakeLists.txt ===

set(kio-webdav_SRCS
    kioservices.cpp
    createnetattachjob.cpp
    removenetattachjob.cpp
    createkioservice.cpp
    removekioservice.cpp)

add_library(kaccounts_kio_webdav_plugin MODULE ${kio-webdav_SRCS})

target_link_libraries(kaccounts_kio_webdav_plugin
    Qt5::Core
#     Qt5::Xml
#     Qt5::Widgets
#     KF5::CoreAddons
#     KF5::ConfigCore
#     KF5::Wallet
#     KF5::KIOCore
#     KF5::I18n
    KF5::DBusAddons
    kaccounts
    ${ACCOUNTSQT_LIBRARIES}
    ${SIGNONQT_LIBRARIES}
)

install (TARGETS kaccounts_carddav_plugin
         DESTINATION ${PLUGIN_INSTALL_DIR}/kaccounts/daemonplugins
)

=== debian/changelog ===
kaccounts-integration (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:05:31 +0000

kaccounts-integration (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Skip building tests.
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:16:59 +0000

kaccounts-integration (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:50:53 +0000

kaccounts-integration (4:19.12.0-0ubuntu2) focal; urgency=medium

  * debian/control: Add kaccounts-integration depends on qml-module-org-
    kde-kaccounts, as required by the new online accounts KCM.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Dec 2019 09:50:19 +0000

kaccounts-integration (4:19.12.0-0ubuntu1) focal; urgency=medium

  * Update install files.
  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:44:27 +0000

kaccounts-integration (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.0)
  * New upstream release (19.08.1)
  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:29:13 +0000

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Package: kaccounts-integration
 Architecture: any
 Depends: libkaccounts1 (= ${binary:Version}),
+         qml-module-org-kde-kaccounts,
          signon-kwallet-extension,
          signon-plugin-oauth2,
          signon-plugin-password,

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kaccounts-integration-dbg (<= 15.12.1-1~~)'

override_dh_auto_test:
	cd obj-* ; xvfb-run -a ctest -E kaccounts-testnetattachjobs

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus, openbox

## kaccounts-integration 20.08.1

=== debian/changelog ===
kaccounts-integration (4:20.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Add missing runtime dependency to qml-module-org-kde-kaccounts.
    (Closes: #849978)
  * Drop l10n and dbgsym transition rules not required anymore after 2 stable
    releases.
  * Remove useless ${shlibs:Depends} from libkaccounts-dev.
  * Remove Breaks / Replaces against long gone versions.

  [ Pino Toscano ]
  * New upstream release.
  * Tighten the inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 18:37:23 +0200

kaccounts-integration (4:20.08.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Add libaccounts-glib-dev, and pkg-config as dependencies of
    libkaccounts-dev, as they are required by the cmake config files.

 -- Pino Toscano <pino@debian.org>  Thu, 13 Aug 2020 21:52:57 +0200

kaccounts-integration (4:20.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update VCS entries to salsa.

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Nicholas D Steeves ]
  * New upstream release.
  * Switch to debhelper-compat 13.
  * Synchronise build-deps with upstream CMakeLists.txt.
  * Update libkaccounts1.install to use foo.so.*.* to automatically catch
    version changes.  Libkaccounts.so.1 remains explicit to help detect ABI
    breaks.
  * Update kaccounts-integration.install for new plugin location.
  * Update watch file to use the new upstream release-service, because the
    old method can't find 20.04.0.  Thanks to Norbert Preining.
  * Declare Standards-Version 4.5.0 (no changes required).

  [ Pino Toscano ]
  * New upstream development release 20.07.90, close enough to the upcoming
    20.08.0.
  * Rename libkaccounts1 to libkaccounts2 according to the upstream SONAME
    bump. (Closes: #962780)
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop unused files.
  * Update symbols file. (Closes: #957391)
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5, and pkgkde_symbolshelper addons
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Add Rules-Requires-Root: no.
  * Remove the dh_auto_test override, as there are no tests anyway
    - drop the xauth, and xvfb build dependencies, no more needed now
  * Update install files.
  * Explicitly add the gettext build dependency.
  * Fix Multi-arch misspelling.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Aug 2020 10:07:06 +0200

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 1.0.0~),
               gettext,
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkf5config-dev (>= 5.4.0~),
               libkf5coreaddons-dev (>= 5.4.0~),
               libkf5dbusaddons-dev (>= 5.4.0~),
               libkf5declarative-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5iconthemes-dev (>= 5.4.0~),
               libkf5kcmutils-dev (>= 5.4.0~),
               libkf5kio-dev (>= 5.4.0~),
               libkf5wallet-dev (>= 5.4.0~),
               libkf5widgetsaddons-dev (>= 5.4.0~),
               libsignon-qt5-dev (>= 8.55~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration.git

Package: kaccounts-integration
Architecture: any
Depends: qml-module-org-kde-kaccounts (= ${binary:Version}),
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers
Breaks: kde-config-telepathy-accounts (<< 17.08),
        libktpcommoninternals9 (<< 17.08),
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: libaccounts-glib-dev,
         libaccounts-qt5-dev (>= 1.13~),
         libkaccounts2 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.4.0~),
         libsignon-qt5-dev (>= 8.55~),
         pkg-config,
         ${misc:Depends},
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains development files.

Package: libkaccounts2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-providers (<< 4:17.08),
        kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-kaccounts (<< 17.08),
Description: System to administer web accounts - shared library
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the shared library.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAccounts QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KAccounts components written
 in QML.

=== debian/rules ===
#!/usr/bin/make -f

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## kaccounts-integration 20.08.3

=== CMakeLists.txt ===
project(KAccounts)

cmake_minimum_required(VERSION 2.8.12)

set(QT_REQUIRED_VERSION "5.7.0")
set(KF5_MIN_VERSION "5.4.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(KACCOUNTS_SOVERSION "2")
set(ACCOUNTSQT_DEP_VERSION "1.13")
set(SIGNONQT_DEP_VERSION "8.55")
set(ACCOUNTSGLIB_DEP_VERSION "1.21")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative Wallet KIO)

find_package(AccountsQt5 ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt5 PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
   URL "https://gitlab.com/accounts-sso/libaccounts-qt"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

find_package(SignOnQt5 ${SIGNONQT_DEP_VERSION} CONFIG)
set_package_properties(SignOnQt5 PROPERTIES DESCRIPTION "D-Bus service which performs user authentication on behalf of its clients"
   URL "https://gitlab.com/accounts-sso/signond"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

add_definitions (-DTRANSLATION_DOMAIN=\"kaccounts-integration\" -DQT_NO_KEYWORDS -DQT_NO_FOREACH)


include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(FeatureSummary)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)

include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})

add_subdirectory(src)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
kaccounts-integration (4:20.08.3-3) unstable; urgency=medium

  * Team upload.
  * Fix merge issues in previous upload.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 Nov 2020 17:37:43 +0100

kaccounts-integration (4:20.08.3-2) unstable; urgency=medium

  * Team upload.
  * Re-upload based on the correct salsa master branch.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Nov 2020 00:34:53 +0100

kaccounts-integration (4:20.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.3).
  * Build with hardening=+all build hardening flag.
  * Refresh copyright information.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 08 Nov 2020 23:54:38 +0100

=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 Package: kaccounts-integration
 Architecture: any
 Depends: qml-module-org-kde-kaccounts (= ${binary:Version}),
+         qml-module-org-kde-kcm,
          signon-kwallet-extension,
          signon-plugin-oauth2,
          signon-plugin-password,

## kaccounts-integration 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,8 @@
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(KACCOUNTS_SOVERSION "2")
 set(ACCOUNTSQT_DEP_VERSION "1.13")

=== src/plugins/kio-webdav/tests/CMakeLists.txt ===
include(ECMMarkAsTest)

find_package(Qt5 5.2.0 CONFIG REQUIRED Test)

add_definitions("-DTEST_DATA=\"${CMAKE_CURRENT_SOURCE_DIR}/data/\"")
include_directories(${CMAKE_CURRENT_BINARY_DIR} ${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})
set(COMMON_LINK_LIBS Qt5::Test Qt5::Core Qt5::Xml Qt5::DBus KF5::CoreAddons ${ACCOUNTSQT_LIBRARIES})

set(testname testnetattachjobs)
add_executable(${testname} ${testname}.cpp
    ../createnetattachjob.cpp
    ../removenetattachjob.cpp
)
add_test(kaccounts-${testname} ${testname})
ecm_mark_as_test(${testname})
target_link_libraries(${testname} ${COMMON_LINK_LIBS}  KF5::ConfigCore KF5::KIOCore Qt5::Widgets KF5::Wallet)

=== debian/changelog ===
kaccounts-integration (4:20.12.1-1) unstable; urgency=medium

  * New upstream release (20.12.1).
  * Update symblos file for libkaccounts2.
  * Add missing QML runtime dependencies.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 14 Jan 2021 00:21:12 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Diane Trout <diane@ghic.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Diane Trout <diane@ghic.org>,
 Build-Depends: cmake (>= 2.8.12~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 1.0.0~),
@@ -24,7 +25,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration
@@ -34,6 +35,10 @@
 Architecture: any
 Depends: qml-module-org-kde-kaccounts (= ${binary:Version}),
          qml-module-org-kde-kcm,
+         qml-module-org-kde-kirigami2,
+         qml-module-qtquick-controls2,
+         qml-module-qtquick-layouts,
+         qml-module-qtquick2,
          signon-kwallet-extension,
          signon-plugin-oauth2,
          signon-plugin-password,

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
 include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

## kaccounts-integration 20.12.3

=== debian/changelog ===
kaccounts-integration (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:16:04 +0000

kaccounts-integration (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:50:28 +0000

## kaccounts-integration 21.08.0

=== debian/changelog ===
kaccounts-integration (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:46:00 +0900

kaccounts-integration (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:46:53 +0900

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: kaccounts-integration
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Diane Trout <diane@ghic.org>,
-Build-Depends: cmake (>= 2.8.12~),
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.0.0~),
+               extra-cmake-modules (>= 5.78.0~),
                gettext,
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
                libkf5config-dev (>= 5.4.0~),
-               libkf5coreaddons-dev (>= 5.4.0~),
-               libkf5dbusaddons-dev (>= 5.4.0~),
-               libkf5declarative-dev (>= 5.4.0~),
-               libkf5i18n-dev (>= 5.4.0~),
+               libkf5coreaddons-dev (>= 5.78.0~),
+               libkf5dbusaddons-dev (>= 5.78.0~),
+               libkf5declarative-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
                libkf5iconthemes-dev (>= 5.4.0~),
-               libkf5kcmutils-dev (>= 5.4.0~),
-               libkf5kio-dev (>= 5.4.0~),
-               libkf5wallet-dev (>= 5.4.0~),
+               libkf5kcmutils-dev (>= 5.78.0~),
+               libkf5kio-dev (>= 5.78.0~),
+               libkf5wallet-dev (>= 5.78.0~),
                libkf5widgetsaddons-dev (>= 5.4.0~),
                libsignon-qt5-dev (>= 8.55~),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.7.0~),
+               qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.7.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
@@ -60,7 +61,7 @@
 Depends: libaccounts-glib-dev,
          libaccounts-qt5-dev (>= 1.13~),
          libkaccounts2 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.4.0~),
+         libkf5coreaddons-dev (>= 5.78.0~),
          libsignon-qt5-dev (>= 8.55~),
          pkg-config,
          ${misc:Depends},

## kaccounts-integration 21.08.1

=== debian/changelog ===
kaccounts-integration (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:34 +0100

kaccounts-integration (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:43 +0100

kaccounts-integration (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:51:17 +0100

kaccounts-integration (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:30:58 +0100

kaccounts-integration (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:39:32 +0100

kaccounts-integration (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:35:50 +0100

kaccounts-integration (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:02:45 +0100

kaccounts-integration (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:30:38 +0100

## kaccounts-integration 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,22 @@
-project(KAccounts)
+cmake_minimum_required(VERSION 3.16)
 
-cmake_minimum_required(VERSION 2.8.12)
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-set(QT_REQUIRED_VERSION "5.7.0")
-set(KF5_MIN_VERSION "5.4.0")
+project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})
+
+set(QT_REQUIRED_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.78.0")
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
-set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(KACCOUNTS_SOVERSION "2")
 set(ACCOUNTSQT_DEP_VERSION "1.13")
 set(SIGNONQT_DEP_VERSION "8.55")
@@ -35,21 +39,29 @@
 
 add_definitions (-DTRANSLATION_DOMAIN=\"kaccounts-integration\" -DQT_NO_KEYWORDS -DQT_NO_FOREACH)
 
-
+include(CMakePackageConfigHelpers)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
 include(FeatureSummary)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
 include(GenerateExportHeader)
-include(ECMPackageConfigHelpers)
+include(KDEClangFormat)
 
-include_directories(${ACCOUNTSQT_INCLUDE_DIRS} ${SIGNONQT_INCLUDE_DIRS})
+if(KF5_VERSION VERSION_GREATER_EQUAL 5.79)
+    include(KDEGitCommitHooks)
+endif()
 
 add_subdirectory(src)
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+if(KF5_VERSION VERSION_GREATER_EQUAL 5.79)
+    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+endif()
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== src/kded/CMakeLists.txt ===
kcoreaddons_add_plugin(
    kded_accounts
    SOURCES kded_accounts.cpp
    INSTALL_NAMESPACE "kf5/kded"
)

target_link_libraries(kded_accounts
    Qt5::Core
    KF5::DBusAddons
    kaccounts
)

=== src/plugins/kio-webdav/CMakeLists.txt ===
set(kio-webdav_SRCS
    kioservices.cpp
    createnetattachjob.cpp
    removenetattachjob.cpp
    createkioservice.cpp
    removekioservice.cpp)

kcoreaddons_add_plugin(kaccounts_kio_webdav_plugin
    SOURCES ${kio-webdav_SRCS}
    INSTALL_NAMESPACE "kaccounts/daemonplugins"
    )

target_link_libraries(kaccounts_kio_webdav_plugin
    Qt5::Core
    Qt5::Widgets
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::Wallet
    KF5::KIOCore
    KF5::I18n
    KF5::DBusAddons
    kaccounts
    ${ACCOUNTSQT_LIBRARIES}
    ${SIGNONQT_LIBRARIES}
)

=== debian/changelog ===
kaccounts-integration (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 17:18:14 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration

## kaccounts-integration 22.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

set(QT_REQUIRED_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.91.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQmlModule)

set(KACCOUNTS_SOVERSION "2")
set(ACCOUNTSQT_DEP_VERSION "1.13")
set(SIGNONQT_DEP_VERSION "8.55")
set(ACCOUNTSGLIB_DEP_VERSION "1.21")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative Wallet KIO)

find_package(AccountsQt${QT_MAJOR_VERSION} ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
   URL "https://gitlab.com/accounts-sso/libaccounts-qt"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

find_package(SignOnQt${QT_MAJOR_VERSION} ${SIGNONQT_DEP_VERSION} CONFIG)
set_package_properties(SignOnQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "D-Bus service which performs user authentication on behalf of its clients"
   URL "https://gitlab.com/accounts-sso/signond"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

add_definitions (-DTRANSLATION_DOMAIN=\"kaccounts-integration\")

add_subdirectory(src)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kaccounts-integration (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:29 +0100

kaccounts-integration (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:43 +0100

kaccounts-integration (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:04 +0100

kaccounts-integration (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:47 +0100

kaccounts-integration (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:54:44 +0100

kaccounts-integration (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:23 +0100

kaccounts-integration (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:58 +0000

kaccounts-integration (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:13:27 +0000

kaccounts-integration (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:21:21 +0000

kaccounts-integration (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:18:10 +0000

kaccounts-integration (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:24 +0000

kaccounts-integration (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:42 +0000

kaccounts-integration (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:23:07 +0000

kaccounts-integration (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:49 +0000

## kaccounts-integration 22.12.0

=== debian/changelog ===
kaccounts-integration (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:28 +0100

kaccounts-integration (4:22.12.0-1) unstable; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * Add intltool dependency to libkaccounts-dev so KAccountsMacros.cmake will
    work. Thanks to Nicolas Fella.

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,26 +7,26 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.97.0~),
                gettext,
                libaccounts-glib-dev (>= 1.21~),
                libaccounts-qt5-dev (>= 1.13~),
                libkf5config-dev (>= 5.4.0~),
-               libkf5coreaddons-dev (>= 5.78.0~),
-               libkf5dbusaddons-dev (>= 5.78.0~),
-               libkf5declarative-dev (>= 5.78.0~),
-               libkf5i18n-dev (>= 5.78.0~),
+               libkf5coreaddons-dev (>= 5.97.0~),
+               libkf5dbusaddons-dev (>= 5.97.0~),
+               libkf5declarative-dev (>= 5.97.0~),
+               libkf5i18n-dev (>= 5.97.0~),
                libkf5iconthemes-dev (>= 5.4.0~),
-               libkf5kcmutils-dev (>= 5.78.0~),
-               libkf5kio-dev (>= 5.78.0~),
-               libkf5wallet-dev (>= 5.78.0~),
+               libkf5kcmutils-dev (>= 5.97.0~),
+               libkf5kio-dev (>= 5.97.0~),
+               libkf5wallet-dev (>= 5.97.0~),
                libkf5widgetsaddons-dev (>= 5.4.0~),
                libsignon-qt5-dev (>= 8.55~),
                pkg-config,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration
@@ -58,10 +58,11 @@
 Package: libkaccounts-dev
 Section: libdevel
 Architecture: any
-Depends: libaccounts-glib-dev,
+Depends: intltool,
+         libaccounts-glib-dev,
          libaccounts-qt5-dev (>= 1.13~),
          libkaccounts2 (= ${binary:Version}),
-         libkf5coreaddons-dev (>= 5.78.0~),
+         libkf5coreaddons-dev (>= 5.97.0~),
          libsignon-qt5-dev (>= 8.55~),
          pkg-config,
          ${misc:Depends},

## kaccounts-integration 22.12.1

=== debian/changelog ===
kaccounts-integration (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:37 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.0~),
                qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration

## kaccounts-integration 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})
 
 set(QT_REQUIRED_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.91.0")
+set(KF5_MIN_VERSION "5.97.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== src/declarative/CMakeLists.txt ===
ecm_add_qml_module(kaccountsdeclarativeplugin URI "org.kde.kaccounts" VERSION 1.2)

target_sources(kaccountsdeclarativeplugin PRIVATE kaccountsdeclarativeplugin.cpp kaccountsdeclarativeplugin.h)

target_link_libraries(kaccountsdeclarativeplugin Qt::Qml
                                                 KF5::I18n
                                                 kaccounts
                                                 )

ecm_finalize_qml_module(kaccountsdeclarativeplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/lib/CMakeLists.txt ===
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KAccounts")

ecm_setup_version(${KACCOUNTS_VERSION}
  VARIABLE_PREFIX KACCOUNTS
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kaccounts_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfigVersion.cmake"
  SOVERSION ${KACCOUNTS_SOVERSION})

set (kaccountslib_SRCS
     accountsmodel.cpp
     core.cpp
     kaccountsdplugin.cpp
     kaccountsuiplugin.cpp
     providersmodel.cpp
     servicesmodel.cpp
     uipluginsmanager.cpp

     accountservicetogglejob.cpp
     changeaccountdisplaynamejob.cpp
     createaccountjob.cpp
     getcredentialsjob.cpp
     removeaccountjob.cpp

     accountsmodel.h
     core.h
     kaccountsdplugin.h
     kaccountsuiplugin.h
     providersmodel.h
     servicesmodel.h
     uipluginsmanager.h

     accountservicetogglejob.h
     changeaccountdisplaynamejob.h
     createaccountjob.h
     getcredentialsjob.h
     removeaccountjob.h
)

ecm_generate_headers(kaccountslib_HEADERS
  HEADER_NAMES
  AccountsModel
  Core
  KAccountsUiPlugin
  KAccountsDPlugin
  ProvidersModel
  ServicesModel

  AccountServiceToggleJob
  ChangeAccountDisplayNameJob
  CreateAccountJob
  GetCredentialsJob
  RemoveAccountJob
  REQUIRED_HEADERS kaccountslib_HEADERS
)

add_library(kaccounts ${kaccountslib_SRCS})

target_compile_definitions(kaccounts
    PRIVATE
    ACCOUNTSQT5_VERSION_MAJOR=${AccountsQt5_VERSION_MAJOR}
    ACCOUNTSQT5_VERSION_MINOR=${AccountsQt5_VERSION_MINOR}
)

generate_export_header(kaccounts BASE_NAME kaccounts)
target_link_libraries (kaccounts
    PUBLIC
        KF5::CoreAddons
        KF5::I18n
        ${ACCOUNTSQT_LIBRARIES}
        Qt::Xml
        Qt::Gui
    PRIVATE
        ${SIGNONQT_LIBRARIES}
)

target_include_directories(kaccounts INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KAccounts>" PUBLIC "${ACCOUNTSQT_INCLUDE_DIRS}" PRIVATE "${SIGNONQT_INCLUDE_DIRS}")
set_target_properties(kaccounts PROPERTIES VERSION   ${KACCOUNTS_VERSION}
                                           SOVERSION ${KACCOUNTS_SOVERSION}
                                           EXPORT_NAME KAccounts
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KAccountsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "KAccountsMacros.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccountsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(TARGETS kaccounts EXPORT KAccountsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(EXPORT KAccountsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KAccountsTargets.cmake ) #NAMESPACE KF5::

install (FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kaccounts_export.h
        ${kaccountslib_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/kaccounts_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KAccounts COMPONENT Devel
)

=== src/plugins/kio-webdav/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,13 @@
     createnetattachjob.cpp
     removenetattachjob.cpp
     createkioservice.cpp
-    removekioservice.cpp)
+    removekioservice.cpp
+    kioservices.h
+    createnetattachjob.h
+    removenetattachjob.h
+    createkioservice.h
+    removekioservice.h
+)
 
 kcoreaddons_add_plugin(kaccounts_kio_webdav_plugin
     SOURCES ${kio-webdav_SRCS}
@@ -11,8 +17,8 @@
     )
 
 target_link_libraries(kaccounts_kio_webdav_plugin
-    Qt5::Core
-    Qt5::Widgets
+    Qt::Core
+    Qt::Widgets
     KF5::CoreAddons
     KF5::ConfigCore
     KF5::Wallet

=== debian/changelog ===
kaccounts-integration (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:45 +0100

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
          signond,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: kaccounts-providers
+Recommends: kaccounts-providers,
 Breaks: kde-config-telepathy-accounts (<< 17.08),
         libktpcommoninternals9 (<< 17.08),
 Description: System to administer web accounts
@@ -76,8 +76,8 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: kaccounts-providers
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: kaccounts-providers,
 Breaks: kaccounts-providers (<< 4:17.08),
         kde-config-telepathy-accounts (<< 17.08),
         kde-telepathy-auth-handler (<< 17.08),
@@ -91,7 +91,7 @@
 Package: qml-module-org-kde-kaccounts
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: KAccounts QtDeclarative QML Support
  Contains a plugin for QtDeclarative that provides
  support for using KAccounts components written
